Download Firefox 35 For Mac

Firefox 35.0

  1. Download Firefox 35 Mac
  2. Mozilla Firefox Download For Mac
Download Firefox 35 For MacDownload firefox 45 for mac

Firefox version 78 is the last supported Firefox version for Mac users of OS X 10.9 Mavericks, OS X 10.10 Yosemite and OS X 10.11 El Capitan. These users will be moved to the Firefox Extended Support Release (ESR) channel by an application update. This will provide security updates until the next ESR update in July 2021, after which the affected users will no longer receive security updates. Jul 01, 2009 Firefox version 3.5 has been released and available for download. Firefox 3.5 is the fastest web browser. It is twice as fast as Firefox 3. As a result javascript and multimedia enabled web apps loads faster. Firefox is the first browser to support open video and audio formats, allowing practically limitless new ways for sites to display rich content. This is based upon the open formats (HTML.

35.0.1 - On Godaddy webmail, Firefox could crash (1113121) 35.0.1 - document.baseURI did not get updated to document.location after base tag was removed from DOM for site with a CSP (1121857) 35.0.1 - With a Right-to-left (RTL) version of Firefox, the text selection could be broken (1104036).

Download Firefox 35 Mac

Windows

Download

Operating Systems

  • Windows XP SP2
  • Windows Server 2003 SP1
  • Windows Vista
  • Windows 7
  • Windows 8

Please note that while the 32-bit and 64-bit versions of Windows Vista and Windows 7 can be used to run Firefox, only 32-bit builds of Firefox are supported at this time.

Recommended Hardware

  • Pentium 4 or newer processor that supports SSE2
  • 512MB of RAM
  • 200MB of hard drive space

Mac

Download firefox 35 mac

Operating Systems

  • Mac OS X 10.6
  • Mac OS X 10.7
  • Mac OS X 10.8
  • Mac OS X 10.9
  • Mac OS X 10.10

Recommended Hardware

  • Macintosh computer with an Intel x86 processor
  • 512 MB of RAM
  • 200 MB hard drive space

Mozilla Firefox Download For Mac

GNU/Linux

Firefox

Software Requirements

Please note that GNU/Linux distributors may provide packages for your distribution which have different requirements.

  • Firefox will not run at all without the following libraries or packages:
    • GTK+ 2.18 or higher
    • GLib 2.22 or higher
    • Pango 1.14 or higher
    • X.Org 1.0 or higher (1.7 or higher is recommended)
    • libstdc++ 4.3 or higher
  • For optimal functionality, we recommend the following libraries or packages:
    • NetworkManager 0.7 or higher
    • DBus 1.0 or higher
    • HAL 0.5.8 or higher
    • GNOME 2.16 or higher
All Firefox downloads